- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Deletes a TeamFolder with its contents (Folders, Repositories, Workspaces, ReleaseConfigs, and WorkflowConfigs).
HTTP request
POST https://dataform.googleapis.com/v1beta1/{name=projects/*/locations/*/teamFolders/*}:deleteTree
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The TeamFolder's name. Format: projects/{project}/locations/{location}/teamFolders/{teamFolder} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "force": boolean } |
| Fields | |
|---|---|
force |
Optional. If If |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/bigquery
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
dataform.teamFolders.deleteTree
For more information, see the IAM documentation.